Draws a rectangle

- « ImagickDraw::pushPattern

- ImagickDraw::render »

- PHP Manual
- ImagickDraw
- Draws a rectangle

# ImagickDraw::rectangle

(PECL imagick 2, PECL imagick 3)

ImagickDraw::rectangle — Draws a rectangle

### Description

public ImagickDraw::rectangle(
float `$x1`,
float `$y1`,
float `$x2`,
float `$y2`
): bool
Warning

This function is currently not documented; only its argument list is available.

Draws a rectangle given two coordinates and using the current stroke, stroke width, and fill settings.

### Parameters

`x1`

  x coordinate of the top left corner

`y1`

  y coordinate of the top left corner

`x2`

  x coordinate of the bottom right corner

`y2`

  y coordinate of the bottom right corner

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::rectangle() example

    <?php
    function rectangle($strokeColor, $fillColor, $backgroundColor) {
        $draw = new \ImagickDraw();
        $strokeColor = new \ImagickPixel($strokeColor);
        $fillColor = new \ImagickPixel($fillColor);

        $draw->setStrokeColor($strokeColor);
        $draw->setFillColor($fillColor);
        $draw->setStrokeOpacity(1);
        $draw->setStrokeWidth(2);

        $draw->rectangle(200, 200, 300, 300);
        $imagick = new \Imagick();
        $imagick->newImage(500, 500, $backgroundColor);
        $imagick->setImageFormat("png");

        $imagick->drawImage($draw);

        header("Content-Type: image/png");
        echo $imagick->getImageBlob();
    }

    ?>